{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "type": "lldb",
            "request": "launch",
            "name": "Debug executable 'rust'",
            "cargo": {
                "args": [
                    "build",
                    "--bin=rust",
                    "--package=rust"
                ],
                "filter": {
                    "name": "rust",
                    "kind": "bin"
                }
            },
            "args": [],
            "cwd": "${workspaceFolder}"
        },
        {
            "type": "lldb",
            "request": "launch",
            "name": "Debug unit tests in executable 'rust'",
            "cargo": {
                "args": [
                    "test",
                    "--no-run",
                    "--bin=rust",
                    "--package=rust"
                ],
                "filter": {
                    "name": "rust",
                    "kind": "bin"
                }
            },
            "args": [],
            "cwd": "${workspaceFolder}"
        }
    ]
}